import { DimoEnvironment } from './environments';
import { Identity, Telemetry } from './graphql/resources/DimoGraphqlResources';
import { Attestation, Auth, DeviceDefinitions, Devices, TokenExchange, Trips, Valuations } from './api/resources/DimoRestResources';
export declare class DIMO {
    attestation: Attestation;
    auth: Auth;
    devicedefinitions: DeviceDefinitions;
    devices: Devices;
    identity: Identity;
    telemetry: Telemetry;
    tokenexchange: TokenExchange;
    trips: Trips;
    valuations: Valuations;
    constructor(env: keyof typeof DimoEnvironment);
    authenticate(): Promise<any>;
}
