export declare const DimoEnvironment: {
    readonly Production: {
        readonly Attestation: "https://attestation-api.dimo.zone";
        readonly Auth: "https://auth.dimo.zone";
        readonly Identity: "https://identity-api.dimo.zone/query";
        readonly Devices: "https://devices-api.dimo.zone";
        readonly DeviceDefinitions: "https://device-definitions-api.dimo.zone";
        readonly Telemetry: "https://telemetry-api.dimo.zone/query";
        readonly TokenExchange: "https://token-exchange-api.dimo.zone";
        readonly Trips: "https://trips-api.dimo.zone";
        readonly Valuations: "https://valuations-api.dimo.zone";
        readonly VehicleSignalDecoding: "https://vehicle-signal-decoding.dimo.zone";
    };
    readonly Dev: {
        readonly Attestation: "https://attestation-api.dev.dimo.zone";
        readonly Auth: "https://auth.dev.dimo.zone";
        readonly Identity: "https://identity-api.dev.dimo.zone/query";
        readonly Devices: "https://devices-api.dev.dimo.zone";
        readonly DeviceDefinitions: "https://device-definitions-api.dev.dimo.zone";
        readonly Telemetry: "https://telemetry-api.dev.dimo.zone/query";
        readonly TokenExchange: "https://token-exchange-api.dev.dimo.zone";
        readonly Trips: "https://trips-api.dev.dimo.zone";
        readonly Valuations: "https://valuations-api.dev.dimo.zone";
        readonly VehicleSignalDecoding: "https://vehicle-signal-decoding.dev.dimo.zone";
    };
};
export type DimoEnvironment = typeof DimoEnvironment.Production | typeof DimoEnvironment.Dev;
